/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import java.util.Objects;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;
import org.threeten.bp.LocalDate;

/**
 * CreateElectricDeclarationRequest
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class CreateElectricDeclarationRequest {
  @SerializedName("subscription_id")
  private String subscriptionId = null;

  @SerializedName("event_date")
  private LocalDate eventDate = null;

  public CreateElectricDeclarationRequest subscriptionId(String subscriptionId) {
    this.subscriptionId = subscriptionId;
    return this;
  }

   /**
   * Subscription identifier to retrieve the data linked to it
   * @return subscriptionId
  **/
  @ApiModelProperty(example = "12345678912345-1234567891-123456789", required = true, value = "Subscription identifier to retrieve the data linked to it")
  public String getSubscriptionId() {
    return subscriptionId;
  }

  public void setSubscriptionId(String subscriptionId) {
    this.subscriptionId = subscriptionId;
  }

  public CreateElectricDeclarationRequest eventDate(LocalDate eventDate) {
    this.eventDate = eventDate;
    return this;
  }

   /**
   * Incident date - ISO 8601 format (YYYY-MM-DD)
   * @return eventDate
  **/
  @ApiModelProperty(example = "2017-01-17T00:00:00Z", value = "Incident date - ISO 8601 format (YYYY-MM-DD)")
  public LocalDate getEventDate() {
    return eventDate;
  }

  public void setEventDate(LocalDate eventDate) {
    this.eventDate = eventDate;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    CreateElectricDeclarationRequest createElectricDeclarationRequest = (CreateElectricDeclarationRequest) o;
    return Objects.equals(this.subscriptionId, createElectricDeclarationRequest.subscriptionId) &&
        Objects.equals(this.eventDate, createElectricDeclarationRequest.eventDate);
  }

  @Override
  public int hashCode() {
    return Objects.hash(subscriptionId, eventDate);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CreateElectricDeclarationRequest {\n");
    
    sb.append("    subscriptionId: ").append(toIndentedString(subscriptionId)).append("\n");
    sb.append("    eventDate: ").append(toIndentedString(eventDate)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

